// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'ngCordova', 'starter.controllers', 'starter.services'])

.run(function($ionicPlatform, $ionicPopup) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }

    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }

    // Google Analytics
    if (typeof analytics !== 'undefined'){
        analytics.startTrackerWithId('UA-48436807-1');
        analytics.debugMode();
    }

    try{
      // Initialize Parse
      parsePlugin.initialize('gHu7pXjbRD48oqFWqtxK7aRoiZhJTGeB2BtMD8C1', 'QxTk53tml8IxvA5LTOD3xbnQ5yjV5Mnq0MJf9Kwn', function() {
          // alert('success');
      }, function(e) {
          // alert('error');
      });
    }catch(err){
      // alert('error');
    }

  });
})

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  // setup an abstract state for the tabs directive
  .state('tab', {
    url: "/tab",
    abstract: true,
    templateUrl: "templates/tabs.html"
  })

  // Each tab has its own nav history stack:
  .state('tab.upcomings', {
    url: '/upcomings',
    views: {
      'tab-upcomings': {
        templateUrl: 'templates/tab-upcomings.html',
        controller: 'UpcomingsCtrl'
      }
    }
  })
  .state('tab.upcomings-movie-detail', {
    url: '/upcomings/:movieId',
    views: {
      'tab-upcomings': {
        templateUrl: 'templates/upcomings-movie-detail.html',
        controller: 'UpcomingsMovieDetailCtrl'
      }
    }
  })

  .state('tab.currents', {
    url: '/currents',
    views: {
      'tab-currents': {
        templateUrl: 'templates/tab-currents.html',
        controller: 'CurrentsCtrl'
      }
    }
  })
  .state('tab.currents-movie-detail', {
    url: '/currents/:movieId',
    views: {
      'tab-currents': {
        templateUrl: 'templates/currents-movie-detail.html',
        controller: 'CurrentsMovieDetailCtrl'
      }
    }
  })

  // .state('tab.friends', {
  //     url: '/friends',
  //     views: {
  //       'tab-friends': {
  //         templateUrl: 'templates/tab-friends.html',
  //         controller: 'FriendsCtrl'
  //       }
  //     }
  //   })
  //   .state('tab.friend-detail', {
  //     url: '/friend/:friendId',
  //     views: {
  //       'tab-friends': {
  //         templateUrl: 'templates/friend-detail.html',
  //         controller: 'FriendDetailCtrl'
  //       }
  //     }
  //   })

  // .state('tab.account', {
  //   url: '/account',
  //   views: {
  //     'tab-account': {
  //       templateUrl: 'templates/tab-account.html',
  //       controller: 'AccountCtrl'
  //     }
  //   }
  // });

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/tab/currents');

});
