angular.module('starter.controllers', [])

.controller('CurrentsCtrl', function($scope, $cordovaNetwork, $ionicPopup, Movies) {
  if (typeof analytics !== 'undefined'){
    analytics.trackView('In Theatres');
  }

  $scope.movies = [];

  Movies.getMovies().success(function(data){
    $scope.movies = Movies.getCurrents();
  });

  $scope.doRefresh = function() {
    Movies.getMovies().success(function(data){
      $scope.movies = Movies.getCurrents();
    })
    .finally(function() {
       // Stop the ion-refresher from spinning
       $scope.$broadcast('scroll.refreshComplete');
    });
  };

  document.addEventListener("deviceready", function () {

    if($cordovaNetwork.isOffline()){
      $ionicPopup.alert({
       title: 'No Internet Connection'
      });
    }
    
  }, false);

})

.controller('UpcomingsCtrl', function($scope, Movies) {
  if (typeof analytics !== 'undefined'){
    analytics.trackView('Upcoming');
  }
  
  $scope.placeholder = true;
  $scope.movies = [];

  Movies.getMovies().success(function(data){
    $scope.movies = Movies.getUpcomings();
    if($scope.movies.length == 0){
      $scope.placeholder = false;
    }else{
      $scope.placeholder = true;
    }
  });

  $scope.doRefresh = function() {
    Movies.getMovies()
    .success(function(data){
      $scope.movies = Movies.getUpcomings();
      if($scope.movies.length == 0){
        $scope.placeholder = false;
      }else{
        $scope.placeholder = true;
      }
    })
    .finally(function() {
       // Stop the ion-refresher from spinning
       $scope.$broadcast('scroll.refreshComplete');
    });
  };
})

.controller('CurrentsMovieDetailCtrl', function($scope, $ionicPopup, $stateParams, Movies) {
  if (typeof analytics !== 'undefined'){
      analytics.trackView('Movie Info');
  }

  $scope.details = true;
  $scope.detailsActive = true;
  $scope.showtimes = false;
  $scope.showtimesActive = false;
  $scope.movie = Movies.getMovie($stateParams.movieId);

  // Open our new task modal
  $scope.showDetails = function() {
    $scope.details = true;
    $scope.detailsActive = true;
    $scope.showtimes = false;
    $scope.showtimesActive = false;
  };

  // Open our new task modal
  $scope.showShowtimes = function() {
    $scope.showtimes = true;
    $scope.showtimesActive = true;
    $scope.details = false;
    $scope.detailsActive = false;
  };

  $scope.openImdb = function(url) {
    window.open('http://m.imdb.com/title/'+url+'/', '_system');
  }

  $scope.playVideo = function(url) {
    YoutubeVideoPlayer.openVideo(YouTubeGetID(url));
  }

  $scope.buyTicket = function(url) {
    window.open(url, '_system');
  }

  function YouTubeGetID(url){
    var ID = '';
    url = url.replace(/(>|<)/gi,'').split(/(vi\/|v=|\/v\/|youtu\.be\/|\/embed\/)/);
    if(url[2] !== undefined) {
      ID = url[2].split(/[^0-9a-z_\-]/i);
      ID = ID[0];
    }
    else {
      ID = url;
    }
    return ID;
  }

})

.controller('UpcomingsMovieDetailCtrl', function($scope, $stateParams, Movies) {
  if (typeof analytics !== 'undefined'){
      analytics.trackView('Movie Info');
  }

  $scope.movie = Movies.getMovie($stateParams.movieId);

  $scope.openImdb = function(url) {
      window.open('http://m.imdb.com/title/'+url+'/', '_system');
  }

  $scope.playVideo = function(url) {
    YoutubeVideoPlayer.openVideo(YouTubeGetID(url));
  }

  function YouTubeGetID(url){
    var ID = '';
    url = url.replace(/(>|<)/gi,'').split(/(vi\/|v=|\/v\/|youtu\.be\/|\/embed\/)/);
    if(url[2] !== undefined) {
      ID = url[2].split(/[^0-9a-z_\-]/i);
      ID = ID[0];
    }
    else {
      ID = url;
    }
    return ID;
  }

})
